Skill sources
Set skill source sharing
Set a skill source’s visibility (Everyone vs Selected) and complete Selected audience. Requires edit rights; Selected must retain at least one current organization member, and sharedWith is intersected with current membership.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/orgs/string/skill-sources/string/sharing" \ -H "Content-Type: application/json" \ -d '{ "visibility": "org" }'{ "id": "string", "name": "string", "source": "string", "githubRepoId": "string", "ref": "string", "subDir": "string", "skills": [ "string" ], "private": true, "visibility": "string", "sharedWith": [ "string" ], "createdBy": "string", "canEdit": true, "canManageSharing": true, "createdAt": "string"}